# Accounts The Accounts API allows you register users and to access user account information. You can use it to retrieve details such as the user's e-mail address or the account's block status. You can also use it to block, and in some cases unblock, user accounts. Version: 1.0.0 License: Tilia, Inc. ## Servers Production Environment ``` https://accounts.tilia-inc.com ``` Staging Environment ``` https://accounts.staging.tilia-inc.com ``` ## Security ### tilia_auth Type: oauth2 ### user_context When making an API request that is either returning personalized customer data or acting on behalf of a customer, the customer's consent is required. Type: oauth2 Token URL: auth.tilia-inc.com/token Scopes: - `add_email`: Grants permission to add email data - `change_email`: Grants permission to change email data - `change_info`: Grants permission to update user data - `change_password`: Grants permission to update a change a user password - `change_passwords`: Grants permission to change multiple user passwords - `delete_email`: Grants permission to delete email data - `internal`: Grants permission to internal systems - `manage_apps`: Grants permission to manage applications - `read_email`: Grants permission to read email data - `user_info`: Grants permission to read user data - `unblock_account`: Grants permission to unblock an account - `block_account`: Grants permission to block an account ## Download OpenAPI description [Accounts](https://thunes-tilia-docs.redocly.app/_bundle/openapi/prod/accounts/openapi.yaml) ## Other ### Account blocked / unblocked - [POST account_block](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/webhooks/accountblock.md): Webhook event notification request. event_name value: account-block-unblock-webhook | This request is sent to registered webhook event handlers after | | :--- | | {% openapiLink text="Block account capability" link="accounts/openapi/other/blockaccount" /%} completes successfully | | {% openapiLink text="Unblock account capability" link="accounts/openapi/other/unblockaccount" /%} completes successfully | The Request body described below is the message property in the event notification request data. For more information about event notification requests, visit Webhooks. ### Register account completed - [POST register-account-completed](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/webhooks/registeraccountcompleted.md): Webhook event notification request. event_name value: register-account-completed | This request is sent to registered webhook event handlers after | | :--- | | {% openapiLink text="Register account" link="accounts/openapi/other/registeraccounthandlerfor" /%} completes successfully | The Request body described below is the message property in the event notification request data. For more information about event notification requests, visit Webhooks. ### Register account - [POST /register](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/registeraccounthandler.md): Register a new user account. Each user account must be created with at least one of the following: user's email address or user_ID from an external payment provider (e.g. Steam or Oculus). When a value for one of the external_platformsis specified, a special _Pay on Behalf of_ (POBO) payment method will be created for the user, which can be used in subsequent transactions. If provided, full name and address details will be associated with the user's POBO payment method. When providing PII, state_province and country_iso must be sent together in the same request. All other fields can be sent separately. For more information about this type of interaction, refer to External Payment Platforms. | Successful completion triggers this notification | | :--- | | {% openapiLink text="Register account completed" link="accounts/openapi/webhooks/registeraccountcompleted" /%} | ### Merge accounts - [POST /v2/merge-accounts](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/mergeaccounts.md): Merge source account virtual token balances into destination account wallets The source account is closed and both accounts are tagged accordingly. ### Block account capability - [POST /v2/block](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/blockaccount.md): Prevents an account from performing the specified capability. | Successful completion triggers this notification | | :--- | | {% openapiLink text="Account blocked/unblocked" link="accounts/openapi/webhooks/accountblock" /%} | For more information about event notifications, visit Webhooks. ### Unblock account capability - [DELETE /v2/block/{account_id}/capability/{block_capability}](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/unblockaccount.md): Permit a previously blocked account capability. | Successful completion triggers this notification | | :--- | | {% openapiLink text="Account blocked/unblocked" link="accounts/openapi/webhooks/accountblock" /%} | For more information about event notifications, visit Webhooks. ### Get account blocks - [GET /v2/block/{account_id}](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/getaccountblocks.md): Retrieve a list of all prevented capabilities associated with an account ### Get account profile - [GET /v1/user-info/{account_id}](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/getuserinfo.md): Get profile information for the specified account, including the account holder's email address and whether the account is blocked. ### Search by username - [GET /v1/user-info/search](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/searchuserinfo.md): Get profile information for the specified username, including the account holder's email address and whether the account is blocked. Special characters like +s must be urlencoded. For example, user+1@test.com would be user%2B1%40test%2Ecom ### Check for Terms of Service - [GET /user-info/{account_id}/tos/tilia](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/vlatestgettiliatos.md): Returns whether or not the account holder has signed the latest version of Tilia's Terms of Service. ### Sign Tilia terms of service - [POST /user-info/{account_id}/tos/tilia](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/signtiliatos.md): [REQUIRES TILIA] Signs Tilia's Terms of Service for the given account. Reach out to Tilia to gain access to this API. ### Unsign Tilia terms of service - [DELETE /user-info/{account_id}/tos/tilia](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/unsigntiliatos.md): [STAGING ONLY] Sets the Tilia's Terms of Service to false for the given account. This API is meant for integration testing purposes. ### Get the current Terms of Service - [GET /v1/tos](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/vlatestgettiliatoscontent.md): Returns the latest version of Tilia's Terms of Service. ### Update account profile - [PUT /user-info/{account_id}](https://thunes-tilia-docs.redocly.app/openapi/prod/accounts/openapi/other/updateaccounthandler.md): Update account information. This API allows for updating the contact details for an account, as well as adding an external payment platform User ID (e.g. Steam or Oculus). When a value for external payment platform is specified, a special 'Pay on Behalf of' (POBO) payment method will be created for the user, which can be used in subsequent transactions. If provided, full name and address details will be associated with the user's POBO payment method. When providing PII state_provice and country_iso must be sent in the request together; all other fields can be sent on their own. For more information on this type of interaction, refer to External Payment Platforms.